Brainstorm variable definitions using AI.
1 min
POST
https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions/brainstorm
project_idintegerThe project identifier
flag_keystringThe Flag identifier
acceptstringGenerated from available response content types
bodyobjectInput data for AI to brainstorm variable definitions.
200Successful AI brainstorming of variable definitions.
400Malformed requests and invalid parameter names and types
401Invalid credentials
403Do not have permission to perform the operation
curl --request POST \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions/brainstorm \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"interactions": []
}'